<?php

/**
 * MasterStroke About Page
 * @package MasterStroke
 *
*/

if( !class_exists('MasterStroke_About_page') ):

	class MasterStroke_About_page{

		function __construct(){

			add_action('admin_menu', array($this, 'masterstroke_backend_menu'));

		}

		// Add Backend Menu
        function masterstroke_backend_menu(){

            add_theme_page(esc_html__( 'MasterStroke','masterstroke' ), esc_html__( 'MasterStroke','masterstroke' ), 'activate_plugins', 'masterstroke-about', array($this, 'masterstroke_main_page'),1);

        }

        // Settings Form
        function masterstroke_main_page(){

            require get_template_directory() . '/classes/about-render.php';

        }

	}

	new MasterStroke_About_page();

endif;