<?php
/**
 *
 * Front Page
 *
 * @package MasterStroke
 */

get_header();


    $masterstroke_default = masterstroke_get_default_theme_options();
    $masterstroke_default = masterstroke_get_default_theme_options();
    $sidebar = esc_attr( get_theme_mod( 'global_sidebar_layout', $masterstroke_default['global_sidebar_layout'] ) );
    

    if( is_single() || is_page() ){

        $masterstroke_post_sidebar = esc_attr( get_post_meta( $post->ID, 'masterstroke_post_sidebar_option', true ) );
        if( $masterstroke_post_sidebar == 'global-sidebar' || empty( $masterstroke_post_sidebar ) ){

            $sidebar = $sidebar;
        }else{
            $sidebar = $masterstroke_post_sidebar;
        }

    }
    $twp_masterstroke_home_sections_1 = get_theme_mod( 'twp_masterstroke_home_sections_1', json_encode( $masterstroke_default['twp_masterstroke_home_sections_1'] ) );
    $repeat_times = 1;
    $paged_active = false;

    if ( !is_paged() ) {
        $paged_active = true;
    }

    $twp_masterstroke_home_sections_1 = json_decode( $twp_masterstroke_home_sections_1 );

    if( $twp_masterstroke_home_sections_1 ){ ?>

        <?php
        foreach ( $twp_masterstroke_home_sections_1 as $masterstroke_home_section ) {

            $home_section_type = isset( $masterstroke_home_section->home_section_type ) ? $masterstroke_home_section->home_section_type : '';

            switch ($home_section_type) {

                case 'default-banner-area':

                    $ed_horizontal_vertical_slider = isset( $masterstroke_home_section->section_ed ) ? $masterstroke_home_section->section_ed : '';
                    if ( $ed_horizontal_vertical_slider == 'yes' && $paged_active ) {
                        masterstroke_horizontal_vertical_slider( $masterstroke_home_section , $repeat_times);
                    }

                break;

                case 'fullwidth-banner-slider':

                    $ed_fullwidth_banner_blocks = isset( $masterstroke_home_section->section_ed ) ? $masterstroke_home_section->section_ed : '';
                    if ( $ed_fullwidth_banner_blocks == 'yes' && $paged_active ) {
                        masterstroke_fullwidth_banner_slider( $masterstroke_home_section , $repeat_times);
                    }

                break;

                case 'main-banner':

                    $ed_slider_blocks = isset( $masterstroke_home_section->section_ed ) ? $masterstroke_home_section->section_ed : '';
                    if ( $ed_slider_blocks == 'yes' && $paged_active ) {
                        masterstroke_main_banner( $masterstroke_home_section , $repeat_times);
                    }

                break;


                case 'must-read':

                    $ed_must_read = isset( $masterstroke_home_section->section_ed ) ? $masterstroke_home_section->section_ed : '';
                    if ( $ed_must_read == 'yes' && $paged_active ) {
                        masterstroke_must_read( $masterstroke_home_section , $repeat_times);
                    }

                break;


                case 'latest-posts-blocks':

                    $ed_latest_posts_blocks = isset( $masterstroke_home_section->section_ed ) ? $masterstroke_home_section->section_ed : '';
                    if ( $ed_latest_posts_blocks == 'yes' ) {
                        masterstroke_latest_blocks( $masterstroke_home_section  , $repeat_times);
                    }

                break;

                case 'tiles-blocks':

                    $ed_tiles_block = isset( $masterstroke_home_section->section_ed ) ? $masterstroke_home_section->section_ed : '';
                    if ( $ed_tiles_block == 'yes' && $paged_active ) {
                        masterstroke_tiles_block_section( $masterstroke_home_section , $repeat_times);
                    }

                break;

                case 'banner-blocks-1':

                    $ed_banner_blocks_1 = isset( $masterstroke_home_section->section_ed ) ? $masterstroke_home_section->section_ed : '';
                    if ( $ed_banner_blocks_1 == 'yes' && $paged_active ) {
                        masterstroke_banner_block_1_section( $masterstroke_home_section , $repeat_times);
                    }

                break;

                case 'advertise-blocks':

                    $ed_advertise_blocks = isset( $masterstroke_home_section->section_ed ) ? $masterstroke_home_section->section_ed : '';
                    if ( $ed_advertise_blocks == 'yes' && $paged_active ) {
                        masterstroke_advertise_block( $masterstroke_home_section , $repeat_times);
                    }
                    
                break;

                case 'home-widget-area':

                    $ed_home_widget_area = isset( $masterstroke_home_section->section_ed ) ? $masterstroke_home_section->section_ed : '';
                    if ( $ed_home_widget_area == 'yes' && $paged_active ) {
                        masterstroke_case_home_widget_area_block( $masterstroke_home_section , $repeat_times);
                    }
                    
                break;

                case 'you-may-like-blocks':

                    $ed_you_may_like_area = isset( $masterstroke_home_section->section_ed ) ? $masterstroke_home_section->section_ed : '';
                    if ( $ed_you_may_like_area == 'yes' && $paged_active ) {
                        masterstroke_you_may_like_block_section( $masterstroke_home_section , $repeat_times);
                    }
                    
                break;

                default:

                break;

            }

        $repeat_times++;
        } 
        ?>

    <?php
    }

get_footer();
